Index: terepaima-0.4.16/moc/moc_signalhandler.cpp
===================================================================
--- terepaima-0.4.16/moc/moc_signalhandler.cpp	(revision 1487f05dbbaee1f4def7af3890c76efff5e0d60e)
+++ terepaima-0.4.16/moc/moc_signalhandler.cpp	(revision 1f4adec359c5217a01caac08e395b35ebeb3792d)
@@ -2,5 +2,5 @@
 ** Meta object code from reading C++ file 'signalhandler.h'
 **
-** Created by: The Qt Meta Object Compiler version 67 (Qt 5.7.1)
+** Created by: The Qt Meta Object Compiler version 63 (Qt 4.8.6)
 **
 ** WARNING! All changes made in this file will be lost!
@@ -8,10 +8,8 @@
 
 #include "../sources/signalhandler.h"
-#include <QtCore/qbytearray.h>
-#include <QtCore/qmetatype.h>
 #if !defined(Q_MOC_OUTPUT_REVISION)
 #error "The header file 'signalhandler.h' doesn't include <QObject>."
-#elif Q_MOC_OUTPUT_REVISION != 67
-#error "This file was generated using the moc from 5.7.1. It"
+#elif Q_MOC_OUTPUT_REVISION != 63
+#error "This file was generated using the moc from 4.8.6. It"
 #error "cannot be used with the include files from this version of Qt."
 #error "(The moc has changed too much.)"
@@ -19,31 +17,8 @@
 
 QT_BEGIN_MOC_NAMESPACE
-struct qt_meta_stringdata_qpdfview__SignalHandler_t {
-    QByteArrayData data[5];
-    char stringdata0[84];
-};
-#define QT_MOC_LITERAL(idx, ofs, len) \
-    Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
-    qptrdiff(offsetof(qt_meta_stringdata_qpdfview__SignalHandler_t, stringdata0) + ofs \
-        - idx * sizeof(QByteArrayData)) \
-    )
-static const qt_meta_stringdata_qpdfview__SignalHandler_t qt_meta_stringdata_qpdfview__SignalHandler = {
-    {
-QT_MOC_LITERAL(0, 0, 23), // "qpdfview::SignalHandler"
-QT_MOC_LITERAL(1, 24, 14), // "sigIntReceived"
-QT_MOC_LITERAL(2, 39, 0), // ""
-QT_MOC_LITERAL(3, 40, 15), // "sigTermReceived"
-QT_MOC_LITERAL(4, 56, 27) // "on_socketNotifier_activated"
-
-    },
-    "qpdfview::SignalHandler\0sigIntReceived\0"
-    "\0sigTermReceived\0on_socketNotifier_activated"
-};
-#undef QT_MOC_LITERAL
-
 static const uint qt_meta_data_qpdfview__SignalHandler[] = {
 
  // content:
-       7,       // revision
+       6,       // revision
        0,       // classname
        0,    0, // classinfo
@@ -55,19 +30,17 @@
        2,       // signalCount
 
- // signals: name, argc, parameters, tag, flags
-       1,    0,   29,    2, 0x06 /* Public */,
-       3,    0,   30,    2, 0x06 /* Public */,
+ // signals: signature, parameters, type, tag, flags
+      25,   24,   24,   24, 0x05,
+      42,   24,   24,   24, 0x05,
 
- // slots: name, argc, parameters, tag, flags
-       4,    0,   31,    2, 0x08 /* Private */,
-
- // signals: parameters
-    QMetaType::Void,
-    QMetaType::Void,
-
- // slots: parameters
-    QMetaType::Void,
+ // slots: signature, parameters, type, tag, flags
+      60,   24,   24,   24, 0x08,
 
        0        // eod
+};
+
+static const char qt_meta_stringdata_qpdfview__SignalHandler[] = {
+    "qpdfview::SignalHandler\0\0sigIntReceived()\0"
+    "sigTermReceived()\0on_socketNotifier_activated()\0"
 };
 
@@ -75,6 +48,6 @@
 {
     if (_c == QMetaObject::InvokeMetaMethod) {
+        Q_ASSERT(staticMetaObject.cast(_o));
         SignalHandler *_t = static_cast<SignalHandler *>(_o);
-        Q_UNUSED(_t)
         switch (_id) {
         case 0: _t->sigIntReceived(); break;
@@ -83,40 +56,30 @@
         default: ;
         }
-    } else if (_c == QMetaObject::IndexOfMethod) {
-        int *result = reinterpret_cast<int *>(_a[0]);
-        void **func = reinterpret_cast<void **>(_a[1]);
-        {
-            typedef void (SignalHandler::*_t)();
-            if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&SignalHandler::sigIntReceived)) {
-                *result = 0;
-                return;
-            }
-        }
-        {
-            typedef void (SignalHandler::*_t)();
-            if (*reinterpret_cast<_t *>(func) == static_cast<_t>(&SignalHandler::sigTermReceived)) {
-                *result = 1;
-                return;
-            }
-        }
     }
     Q_UNUSED(_a);
 }
 
-const QMetaObject qpdfview::SignalHandler::staticMetaObject = {
-    { &QObject::staticMetaObject, qt_meta_stringdata_qpdfview__SignalHandler.data,
-      qt_meta_data_qpdfview__SignalHandler,  qt_static_metacall, Q_NULLPTR, Q_NULLPTR}
+const QMetaObjectExtraData qpdfview::SignalHandler::staticMetaObjectExtraData = {
+    0,  qt_static_metacall 
 };
 
+const QMetaObject qpdfview::SignalHandler::staticMetaObject = {
+    { &QObject::staticMetaObject, qt_meta_stringdata_qpdfview__SignalHandler,
+      qt_meta_data_qpdfview__SignalHandler, &staticMetaObjectExtraData }
+};
+
+#ifdef Q_NO_DATA_RELOCATION
+const QMetaObject &qpdfview::SignalHandler::getStaticMetaObject() { return staticMetaObject; }
+#endif //Q_NO_DATA_RELOCATION
 
 const QMetaObject *qpdfview::SignalHandler::metaObject() const
 {
-    return QObject::d_ptr->metaObject ? QObject::d_ptr->dynamicMetaObject() : &staticMetaObject;
+    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
 }
 
 void *qpdfview::SignalHandler::qt_metacast(const char *_clname)
 {
-    if (!_clname) return Q_NULLPTR;
-    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__SignalHandler.stringdata0))
+    if (!_clname) return 0;
+    if (!strcmp(_clname, qt_meta_stringdata_qpdfview__SignalHandler))
         return static_cast<void*>(const_cast< SignalHandler*>(this));
     return QObject::qt_metacast(_clname);
@@ -132,8 +95,4 @@
             qt_static_metacall(this, _c, _id, _a);
         _id -= 3;
-    } else if (_c == QMetaObject::RegisterMethodArgumentMetaType) {
-        if (_id < 3)
-            *reinterpret_cast<int*>(_a[0]) = -1;
-        _id -= 3;
     }
     return _id;
@@ -143,5 +102,5 @@
 void qpdfview::SignalHandler::sigIntReceived()
 {
-    QMetaObject::activate(this, &staticMetaObject, 0, Q_NULLPTR);
+    QMetaObject::activate(this, &staticMetaObject, 0, 0);
 }
 
@@ -149,5 +108,5 @@
 void qpdfview::SignalHandler::sigTermReceived()
 {
-    QMetaObject::activate(this, &staticMetaObject, 1, Q_NULLPTR);
+    QMetaObject::activate(this, &staticMetaObject, 1, 0);
 }
 QT_END_MOC_NAMESPACE
